﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.GanttView;

namespace ShowIterationSeparator
{
    public class ColoredTask : GanttTask
    {
        private Brush background;
        public Brush Background
        {
            get { return this.background; }
            set
            {
                if (this.background != value)
                {
                    this.background = value;
                    this.OnPropertyChanged(() => this.Background);
                }
            }
        }

        private bool showIterationSeparator;
        public bool ShowIterationSeparator
        {
            get { return this.showIterationSeparator; }
            set
            {
                if (this.showIterationSeparator != value)
                {
                    this.showIterationSeparator = value;
                    this.OnPropertyChanged(() => this.ShowIterationSeparator);
                }
            }
        }
    }
}
