﻿using Telerik.Windows.Controls.GanttView;
using Telerik.Windows.Rendering.Virtualization;

namespace ShowIterationSeparator
{
    public class SeparatorContainerSelector : DefaultTimeLineContainerSelector
    {
        protected static readonly ContainerTypeIdentifier SeparatorContainerType = ContainerTypeIdentifier.FromType<SeparatorContainer>();

        public override ContainerTypeIdentifier GetContainerType(object item)
        {
            if (item is SeparatorEventInfo)
            {
                return SeparatorContainerType;
            }

            return base.GetContainerType(item);
        }
    }
}
